## ExtraPkgs-20230713.tar

=== Calamares/src/calamares-3.2.61/CMakeLists.txt ===
# === This file is part of Calamares - <https://calamares.io> ===
#
#   SPDX-FileCopyrightText: 2017 Adriaan de Groot <groot@kde.org>
#   SPDX-License-Identifier: BSD-2-Clause
#
###
#
#   Calamares is Free Software: see the License-Identifier above.
#
#   Individual files may have different licenses (like the CMake
#   infrastructure, which is BSD-2-Clause licensed). Check the SPDX
#   identifiers in each file.
#
###
#
# Generally, this CMakeLists.txt will find all the dependencies for Calamares
# and complain appropriately. See below (later in this file) for CMake-level
# options. There are some "secret" options as well:
#
#   SKIP_MODULES    : a space or semicolon-separated list of directory names
#                     under src/modules that should not be built.
#   USE_<foo>       : fills in SKIP_MODULES for modules called <foo>-<something>
#   WITH_<foo>      : try to enable <foo> (these usually default to ON). For
#                     a list of WITH_<foo> grep CMakeCache.txt after running
#                     CMake once. These affect the ABI offered by Calamares.
#                       - PYTHON (enable Python Job modules)
#                       - QML (enable QML UI View modules)
#                       - PYTHONQT # TODO:3.3: remove
#   BUILD_<foo>     : choose additional things to build
#                       - TESTING (standard CMake option)
#                       - SCHEMA_TESTING (requires Python, see ci/configvalidator.py)
#   DEBUG_<foo>     : special developer flags for debugging
#
# Example usage:
#
#   cmake . -DSKIP_MODULES="partition luksbootkeycfg"
#
# One special target is "show-version", which can be built
# to obtain the version number from here.

# TODO:3.3: Require CMake 3.12
cmake_minimum_required( VERSION 3.3 FATAL_ERROR )
project( CALAMARES
    VERSION 3.2.61
    LANGUAGES C CXX
)

# Leave this as "Release mode", since 3.2 is in LTS / bugfix-only state,
# and should always be releaseable.
set( CALAMARES_VERSION_RC 0 )  # Set to 0 during release cycle, 1 during development
if( CALAMARES_VERSION_RC EQUAL 1 AND CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR )
    message( FATAL_ERROR "Do not build development versions in the source-directory." )
endif()

### OPTIONS
#
option( INSTALL_CONFIG "Install configuration files" ON )
option( INSTALL_POLKIT "Install Polkit configuration" ON )
option( INSTALL_COMPLETION "Install shell completions" OFF )
# Options for the calamares executable
option( WITH_KF5Crash "Enable crash reporting with KCrash." ON )  # TODO:3.3: WITH->BUILD (this isn't an ABI thing)
option( WITH_KF5DBus "Use DBus service for unique-application." OFF )  # TODO:3.3: WITH->BUILD
# When adding WITH_* that affects the ABI offered by libcalamares,
# also update libcalamares/CalamaresConfig.h.in
option( WITH_PYTHON "Enable Python modules API (requires Boost.Python)." ON )
option( WITH_PYTHONQT "Enable Python view modules API (deprecated, requires PythonQt)." OFF )  # TODO:3.3: remove
option( WITH_QML "Enable QML UI options." ON )
#
# Additional parts to build
option( BUILD_SCHEMA_TESTING "Enable schema-validation-tests" ON )


# Possible debugging flags are:
#  - DEBUG_TIMEZONES draws latitude and longitude lines on the timezone
#    widget and enables chatty debug logging, for dealing with the timezone
#    location database.
#  - DEBUG_FILESYSTEMS does extra logging and checking when looking at
#    partition configuration. Lists known KPMCore FS types.
#  - DEBUG_PARTITION_UNSAFE (see partition/CMakeLists.txt)
#  - DEBUG_PARTITION_BAIL_OUT (see partition/CMakeLists.txt)


### USE_*
#
# By convention, when there are multiple modules that implement similar
# functionality, and it only makes sense to have **at most one** of them
# enabled at any time, those modules are named <foo>-<implementation>.
# For example, services-systemd and services-openrc.
#
# Setting up SKIP_MODULES to ignore "the ones you don't want" can be
# annoying and error-prone (e.g. if a new module shows up). The USE_*
# modules provide a way to do automatic selection. To pick exactly
# one of the implementations from group <foo>, set USE_<foo> to the
# name of the implementation. If USE_<foo> is unset, or empty, then
# all the implementations are enabled (this just means they are
# **available** to `settings.conf`, not that they are used).
#
# To explicitly disable a set of modules, set USE_<foo>=none
# (e.g. the literal string none), which won't match any of the
# modules but is handled specially.
#
# The following USE_* functionalities are available:
#  - *services* picks one of the two service-configuration modules,
#    for either systemd or openrc. This defaults to empty so that
#    **both** modules are available.
set( USE_services "" CACHE STRING "Select the services module to use" )

### Calamares application info
#
set( CALAMARES_ORGANIZATION_NAME "Calamares" )
set( CALAMARES_ORGANIZATION_DOMAIN "github.com/calamares" )
set( CALAMARES_APPLICATION_NAME  "Calamares" )
set( CALAMARES_DESCRIPTION_SUMMARY
    "The distribution-independent installer framework" )

### Transifex (languages) info
#
# complete = 100% translated,
# good = nearly complete (use own judgement, right now >= 75%)
# ok = incomplete (more than 25% untranslated, at least 5% translated),
# incomplete = <5% translated, placeholder in tx; these are not included.
#
# Language en (source language) is added later. It isn't listed in
# Transifex either. Get the list of languages and their status
# from https://transifex.com/calamares/calamares/ , or (preferably)
# use ci/txstats.py to automatically check.
#
# When adding a new language, take care that it is properly loaded
# by the translation framework. Languages with alternate scripts
# (sr@latin in particular) or location (ca@valencia) need special
# handling in libcalamares/locale/Translation.h .
#
# NOTE: move eo (Esperanto) to _ok once Qt can actually create a
#       locale for it. (Qt 5.12.2 can, see Translation Status section).
# NOTE: move ie (Interlingue) to _ok once Qt supports it.
# NOTE: update these lines by running `txstats.py`, or for full automation
#       `txstats.py -e`. See also
#
# Total 75 languages
set( _tx_complete az az_AZ ca fi_FI fr he hr ja ko lt pt_BR pt_PT
    sv tr_TR uk zh_TW )
set( _tx_good as be ca@valencia cs_CZ da de es fa fur hi it_IT ml
    nl ru si sk sq tg vi zh_CN )
set( _tx_ok ar ast bg bn el en_GB es_MX et eu gl hu id is mr nb oc
    pl ro sl sr sr@latin th )
set( _tx_incomplete eo es_PR gu ie ja-Hira kk kn lo lv mk ne_NP
    ta_IN te ur uz zh zh_HK )

### Required versions
#
# See DEPENDENCIES section below.
set( QT_VERSION 5.9.0 )
set( YAMLCPP_VERSION 0.5.1 )
set( ECM_VERSION 5.18 )
set( PYTHONLIBS_VERSION 3.3 )
set( BOOSTPYTHON_VERSION 1.55.0 )


### CMAKE SETUP
#
set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeModules" )

# Enable IN_LIST
if( POLICY CMP0057 )
    cmake_policy( SET CMP0057 NEW )
endif()
# Let ``AUTOMOC`` and ``AUTOUIC`` process ``GENERATED`` files.
if( POLICY CMP0071 )
    cmake_policy( SET CMP0071 NEW )
endif()
# Recognize more macros to trigger automoc
if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
    list(APPEND CMAKE_AUTOMOC_MACRO_NAMES
        "K_PLUGIN_FACTORY_WITH_JSON"
        "K_EXPORT_PLASMA_DATAENGINE_WITH_JSON"
        "K_EXPORT_PLASMA_RUNNER"
    )
endif()

# CMake Modules
include( CMakePackageConfigHelpers )
include( CTest )
include( FeatureSummary )

# Calamares Modules
include( CMakeColors )

### C++ SETUP
#
set( CMAKE_CXX_STANDARD 17 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )
set( CMAKE_CXX_FLAGS                "${CMAKE_CXX_FLAGS} -Wall -Werror=return-type" )
set( CMAKE_CXX_FLAGS_DEBUG          "-Og -g ${CMAKE_CXX_FLAGS_DEBUG}" )
set( CMAKE_CXX_FLAGS_MINSIZEREL     "-Os -DNDEBUG" )
set( CMAKE_CXX_FLAGS_RELEASE        "-O3 -DNDEBUG" )
set( CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g" )

set( CMAKE_C_STANDARD 99 )
set( CMAKE_C_STANDARD_REQUIRED ON )
set( CMAKE_C_FLAGS                  "${CMAKE_C_FLAGS} -Wall" )
set( CMAKE_C_FLAGS_DEBUG            "-Og -g" )
set( CMAKE_C_FLAGS_MINSIZEREL       "-Os -DNDEBUG" )
set( CMAKE_C_FLAGS_RELEASE          "-O4 -DNDEBUG" )
set( CMAKE_C_FLAGS_RELWITHDEBINFO   "-O2 -g" )

set( CMAKE_SHARED_LINKER_FLAGS      "-Wl,--no-undefined -Wl,--fatal-warnings" )

if( CMAKE_CXX_COMPILER_ID MATCHES "Clang" )
    message( STATUS "Found Clang ${CMAKE_CXX_COMPILER_VERSION}, setting up Clang-specific compiler flags." )

    # Clang warnings: doing *everything* is counter-productive, since it warns
    # about things which we can't fix (e.g. C++98 incompatibilities, but
    # Calamares is C++17).
    foreach( CLANG_WARNINGS
        -Weverything
        -Wno-c++98-compat
        -Wno-c++98-compat-pedantic
        -Wno-padded
        -Wno-undefined-reinterpret-cast
        -Wno-global-constructors
        -Wno-exit-time-destructors
        -Wno-missing-prototypes
        -Wno-documentation-unknown-command
        -Wno-unknown-warning-option
    )
        string( APPEND CMAKE_CXX_FLAGS " ${CLANG_WARNINGS}" )
    endforeach()

    # The dwarf-debugging flags are slightly different, too
    string( APPEND CMAKE_CXX_FLAGS_DEBUG " -gdwarf" )
    string( APPEND CMAKE_C_FLAGS_DEBUG " -gdwarf" )

    # Third-party code where we don't care so much about compiler warnings
    # (because it's uncomfortable to patch) get different flags; use
    #       mark_thirdparty_code( <file> [<file>...] )
    # to switch off warnings for those sources.
    set( SUPPRESS_3RDPARTY_WARNINGS "-Wno-everything" )

    set( CMAKE_TOOLCHAIN_PREFIX "llvm-" )

    # The path prefix is only relevant for CMake 3.16 and later, fixes #1286
    set( CMAKE_AUTOMOC_PATH_PREFIX OFF )
    set( CALAMARES_AUTOMOC_OPTIONS "-butils/moc-warnings.h" )
    set( CALAMARES_AUTOUIC_OPTIONS --include utils/moc-warnings.h )
else()
    set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Woverloaded-virtual" )

    set( SUPPRESS_3RDPARTY_WARNINGS "" )
endif()

# Use mark_thirdparty_code() to reduce warnings from the compiler
# on code that we're not going to fix. Call this with a list of files.
macro(mark_thirdparty_code)
    set_source_files_properties( ${ARGV}
        PROPERTIES
            COMPILE_FLAGS "${SUPPRESS_3RDPARTY_WARNINGS}"
            COMPILE_DEFINITIONS "THIRDPARTY"
    )
endmacro()

if( CMAKE_COMPILER_IS_GNUCXX )
    if( CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 4.9 OR
        CMAKE_CXX_COMPILER_VERSION VERSION_EQUAL 4.9 )
        message( STATUS "Found GNU g++ ${CMAKE_CXX_COMPILER_VERSION}, enabling colorized error messages." )
        set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdiagnostics-color=auto" )
    endif()
endif()


### DEPENDENCIES
#
find_package( Qt5 ${QT_VERSION} CONFIG REQUIRED Concurrent Core Gui LinguistTools Network Svg Widgets )
if( WITH_QML )
    find_package( Qt5 ${QT_VERSION} CONFIG REQUIRED Quick QuickWidgets )
endif()
# Optional Qt parts
find_package( Qt5DBus CONFIG )

find_package( YAMLCPP ${YAMLCPP_VERSION} REQUIRED )
if( INSTALL_POLKIT )
    find_package( PolkitQt5-1 REQUIRED )
else()
    # Find it anyway, for dependencies-reporting
    find_package( PolkitQt5-1 )
endif()
set_package_properties(
    PolkitQt5-1 PROPERTIES
    DESCRIPTION "Qt5 support for Polkit"
    URL "https://cgit.kde.org/polkit-qt-1.git"
    PURPOSE "PolkitQt5-1 helps with installing Polkit configuration"
)

# Find ECM once, and add it to the module search path; Calamares
# modules that need ECM can do
#   find_package(ECM ${ECM_VERSION} REQUIRED NO_MODULE),
# no need to mess with the module path after.
find_package(ECM ${ECM_VERSION} NO_MODULE)
if( ECM_FOUND )
    set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
    if ( BUILD_TESTING )
        # ECM implies that we can build the tests, too
        find_package( Qt5 COMPONENTS Test REQUIRED )
        include( ECMAddTests )
    endif()
    include(KDEInstallDirs)
endif()

find_package( KF5 QUIET COMPONENTS CoreAddons Crash DBusAddons )
set_package_properties(
    KF5::CoreAddons PROPERTIES
    TYPE REQUIRED

=== Calamares/src/calamares-3.2.61/build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"CALAMARES\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named Experimental

# Build rule for target.
Experimental: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 Experimental
.PHONY : Experimental

# fast build rule for target.
Experimental/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Experimental.dir/build.make CMakeFiles/Experimental.dir/build
.PHONY : Experimental/fast

#=============================================================================
# Target rules for targets named Nightly

# Build rule for target.
Nightly: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 Nightly
.PHONY : Nightly

# fast build rule for target.
Nightly/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Nightly.dir/build.make CMakeFiles/Nightly.dir/build
.PHONY : Nightly/fast

#=============================================================================
# Target rules for targets named Continuous

# Build rule for target.
Continuous: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 Continuous
.PHONY : Continuous

# fast build rule for target.
Continuous/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Continuous.dir/build.make CMakeFiles/Continuous.dir/build
.PHONY : Continuous/fast

#=============================================================================
# Target rules for targets named NightlyMemoryCheck

# Build rule for target.
NightlyMemoryCheck: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 NightlyMemoryCheck
.PHONY : NightlyMemoryCheck

# fast build rule for target.
NightlyMemoryCheck/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/NightlyMemoryCheck.dir/build.make CMakeFiles/NightlyMemoryCheck.dir/build
.PHONY : NightlyMemoryCheck/fast

#=============================================================================
# Target rules for targets named NightlyStart

# Build rule for target.
NightlyStart: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 NightlyStart
.PHONY : NightlyStart

# fast build rule for target.
NightlyStart/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/NightlyStart.dir/build.make CMakeFiles/NightlyStart.dir/build
.PHONY : NightlyStart/fast

#=============================================================================
# Target rules for targets named NightlyUpdate

# Build rule for target.
NightlyUpdate: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 NightlyUpdate
.PHONY : NightlyUpdate

# fast build rule for target.
NightlyUpdate/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/NightlyUpdate.dir/build.make CMakeFiles/NightlyUpdate.dir/build
.PHONY : NightlyUpdate/fast

#=============================================================================
# Target rules for targets named NightlyConfigure

# Build rule for target.
NightlyConfigure: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 NightlyConfigure
.PHONY : NightlyConfigure

# fast build rule for target.
NightlyConfigure/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/NightlyConfigure.dir/build.make CMakeFiles/NightlyConfigure.dir/build
.PHONY : NightlyConfigure/fast

#=============================================================================
# Target rules for targets named NightlyBuild

# Build rule for target.
NightlyBuild: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 NightlyBuild
.PHONY : NightlyBuild

# fast build rule for target.
NightlyBuild/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/NightlyBuild.dir/build.make CMakeFiles/NightlyBuild.dir/build
.PHONY : NightlyBuild/fast

#=============================================================================
# Target rules for targets named NightlyTest

# Build rule for target.
NightlyTest: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 NightlyTest
.PHONY : NightlyTest

# fast build rule for target.
NightlyTest/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/NightlyTest.dir/build.make CMakeFiles/NightlyTest.dir/build
.PHONY : NightlyTest/fast

#=============================================================================
# Target rules for targets named NightlyCoverage

# Build rule for target.
NightlyCoverage: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 NightlyCoverage
.PHONY : NightlyCoverage

# fast build rule for target.
NightlyCoverage/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/NightlyCoverage.dir/build.make CMakeFiles/NightlyCoverage.dir/build
.PHONY : NightlyCoverage/fast

#=============================================================================
# Target rules for targets named NightlyMemCheck

# Build rule for target.
NightlyMemCheck: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 NightlyMemCheck
.PHONY : NightlyMemCheck

# fast build rule for target.
NightlyMemCheck/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/NightlyMemCheck.dir/build.make CMakeFiles/NightlyMemCheck.dir/build
.PHONY : NightlyMemCheck/fast

#=============================================================================
# Target rules for targets named NightlySubmit

# Build rule for target.
NightlySubmit: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 NightlySubmit
.PHONY : NightlySubmit

# fast build rule for target.
NightlySubmit/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/NightlySubmit.dir/build.make CMakeFiles/NightlySubmit.dir/build
.PHONY : NightlySubmit/fast

#=============================================================================

=== Calamares/src/calamares-3.2.61/build/lang/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"CALAMARES\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/lang//CMakeFiles/progress.marks
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lang/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lang/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lang/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lang/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
lang/CMakeFiles/txload.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lang/CMakeFiles/txload.dir/rule
.PHONY : lang/CMakeFiles/txload.dir/rule

# Convenience name for target.
txload: lang/CMakeFiles/txload.dir/rule
.PHONY : txload

# fast build rule for target.
txload/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f lang/CMakeFiles/txload.dir/build.make lang/CMakeFiles/txload.dir/build
.PHONY : txload/fast

# Convenience name for target.
lang/CMakeFiles/calamares-gettext-translations-python.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lang/CMakeFiles/calamares-gettext-translations-python.dir/rule
.PHONY : lang/CMakeFiles/calamares-gettext-translations-python.dir/rule

# Convenience name for target.
calamares-gettext-translations-python: lang/CMakeFiles/calamares-gettext-translations-python.dir/rule
.PHONY : calamares-gettext-translations-python

# fast build rule for target.
calamares-gettext-translations-python/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f lang/CMakeFiles/calamares-gettext-translations-python.dir/build.make lang/CMakeFiles/calamares-gettext-translations-python.dir/build
.PHONY : calamares-gettext-translations-python/fast

# Convenience name for target.
lang/CMakeFiles/calamares_gettext_translations_python_ar.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lang/CMakeFiles/calamares_gettext_translations_python_ar.dir/rule
.PHONY : lang/CMakeFiles/calamares_gettext_translations_python_ar.dir/rule

# Convenience name for target.
calamares_gettext_translations_python_ar: lang/CMakeFiles/calamares_gettext_translations_python_ar.dir/rule
.PHONY : calamares_gettext_translations_python_ar

# fast build rule for target.
calamares_gettext_translations_python_ar/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f lang/CMakeFiles/calamares_gettext_translations_python_ar.dir/build.make lang/CMakeFiles/calamares_gettext_translations_python_ar.dir/build
.PHONY : calamares_gettext_translations_python_ar/fast

# Convenience name for target.
lang/CMakeFiles/calamares_gettext_translations_python_as.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lang/CMakeFiles/calamares_gettext_translations_python_as.dir/rule
.PHONY : lang/CMakeFiles/calamares_gettext_translations_python_as.dir/rule

# Convenience name for target.
calamares_gettext_translations_python_as: lang/CMakeFiles/calamares_gettext_translations_python_as.dir/rule
.PHONY : calamares_gettext_translations_python_as

# fast build rule for target.
calamares_gettext_translations_python_as/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f lang/CMakeFiles/calamares_gettext_translations_python_as.dir/build.make lang/CMakeFiles/calamares_gettext_translations_python_as.dir/build
.PHONY : calamares_gettext_translations_python_as/fast

# Convenience name for target.
lang/CMakeFiles/calamares_gettext_translations_python_ast.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lang/CMakeFiles/calamares_gettext_translations_python_ast.dir/rule
.PHONY : lang/CMakeFiles/calamares_gettext_translations_python_ast.dir/rule

# Convenience name for target.
calamares_gettext_translations_python_ast: lang/CMakeFiles/calamares_gettext_translations_python_ast.dir/rule
.PHONY : calamares_gettext_translations_python_ast

# fast build rule for target.
calamares_gettext_translations_python_ast/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f lang/CMakeFiles/calamares_gettext_translations_python_ast.dir/build.make lang/CMakeFiles/calamares_gettext_translations_python_ast.dir/build
.PHONY : calamares_gettext_translations_python_ast/fast

# Convenience name for target.
lang/CMakeFiles/calamares_gettext_translations_python_az.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 lang/CMakeFiles/calamares_gettext_translations_python_az.dir/rule
.PHONY : lang/CMakeFiles/calamares_gettext_translations_python_az.dir/rule

# Convenience name for target.
calamares_gettext_translations_python_az: lang/CMakeFiles/calamares_gettext_translations_python_az.dir/rule

=== Calamares/src/calamares-3.2.61/build/src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"CALAMARES\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/src//CMakeFiles/progress.marks
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== Calamares/src/calamares-3.2.61/build/src/branding/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"CALAMARES\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/src/branding//CMakeFiles/progress.marks
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/branding/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/branding/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/branding/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/branding/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/branding/CMakeFiles/branding-translation-default.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/branding/CMakeFiles/branding-translation-default.dir/rule
.PHONY : src/branding/CMakeFiles/branding-translation-default.dir/rule

# Convenience name for target.
branding-translation-default: src/branding/CMakeFiles/branding-translation-default.dir/rule
.PHONY : branding-translation-default

# fast build rule for target.
branding-translation-default/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/branding/CMakeFiles/branding-translation-default.dir/build.make src/branding/CMakeFiles/branding-translation-default.dir/build
.PHONY : branding-translation-default/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... branding-translation-default"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== Calamares/src/calamares-3.2.61/build/src/calamares/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"CALAMARES\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/src/calamares//CMakeFiles/progress.marks
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/calamares/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/calamares/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/calamares/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/calamares/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/calamares/CMakeFiles/calamares_bin.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/calamares/CMakeFiles/calamares_bin.dir/rule
.PHONY : src/calamares/CMakeFiles/calamares_bin.dir/rule

# Convenience name for target.
calamares_bin: src/calamares/CMakeFiles/calamares_bin.dir/rule
.PHONY : calamares_bin

# fast build rule for target.
calamares_bin/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/calamares/CMakeFiles/calamares_bin.dir/build.make src/calamares/CMakeFiles/calamares_bin.dir/build
.PHONY : calamares_bin/fast

# Convenience name for target.
src/calamares/CMakeFiles/loadmodule.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/calamares/CMakeFiles/loadmodule.dir/rule
.PHONY : src/calamares/CMakeFiles/loadmodule.dir/rule

# Convenience name for target.
loadmodule: src/calamares/CMakeFiles/loadmodule.dir/rule
.PHONY : loadmodule

# fast build rule for target.
loadmodule/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/calamares/CMakeFiles/loadmodule.dir/build.make src/calamares/CMakeFiles/loadmodule.dir/build
.PHONY : loadmodule/fast

# Convenience name for target.
src/calamares/CMakeFiles/test_conf.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/calamares/CMakeFiles/test_conf.dir/rule
.PHONY : src/calamares/CMakeFiles/test_conf.dir/rule

# Convenience name for target.
test_conf: src/calamares/CMakeFiles/test_conf.dir/rule
.PHONY : test_conf

# fast build rule for target.
test_conf/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/calamares/CMakeFiles/test_conf.dir/build.make src/calamares/CMakeFiles/test_conf.dir/build
.PHONY : test_conf/fast

# Convenience name for target.
src/calamares/CMakeFiles/calamares_bin_autogen.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/calamares/CMakeFiles/calamares_bin_autogen.dir/rule
.PHONY : src/calamares/CMakeFiles/calamares_bin_autogen.dir/rule

# Convenience name for target.
calamares_bin_autogen: src/calamares/CMakeFiles/calamares_bin_autogen.dir/rule
.PHONY : calamares_bin_autogen

# fast build rule for target.
calamares_bin_autogen/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/calamares/CMakeFiles/calamares_bin_autogen.dir/build.make src/calamares/CMakeFiles/calamares_bin_autogen.dir/build
.PHONY : calamares_bin_autogen/fast

CalamaresApplication.o: CalamaresApplication.cpp.o
.PHONY : CalamaresApplication.o

# target to build an object file
CalamaresApplication.cpp.o:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/calamares/CMakeFiles/calamares_bin.dir/build.make src/calamares/CMakeFiles/calamares_bin.dir/CalamaresApplication.cpp.o
.PHONY : CalamaresApplication.cpp.o

CalamaresApplication.i: CalamaresApplication.cpp.i
.PHONY : CalamaresApplication.i

# target to preprocess a source file
CalamaresApplication.cpp.i:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/calamares/CMakeFiles/calamares_bin.dir/build.make src/calamares/CMakeFiles/calamares_bin.dir/CalamaresApplication.cpp.i
.PHONY : CalamaresApplication.cpp.i

CalamaresApplication.s: CalamaresApplication.cpp.s
.PHONY : CalamaresApplication.s

# target to generate assembly for a file
CalamaresApplication.cpp.s:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/calamares/CMakeFiles/calamares_bin.dir/build.make src/calamares/CMakeFiles/calamares_bin.dir/CalamaresApplication.cpp.s
.PHONY : CalamaresApplication.cpp.s

CalamaresWindow.o: CalamaresWindow.cpp.o
.PHONY : CalamaresWindow.o

# target to build an object file
CalamaresWindow.cpp.o:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/calamares/CMakeFiles/calamares_bin.dir/build.make src/calamares/CMakeFiles/calamares_bin.dir/CalamaresWindow.cpp.o
.PHONY : CalamaresWindow.cpp.o

CalamaresWindow.i: CalamaresWindow.cpp.i
.PHONY : CalamaresWindow.i

# target to preprocess a source file
CalamaresWindow.cpp.i:

=== Calamares/src/calamares-3.2.61/build/src/libcalamares/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"CALAMARES\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/src/libcalamares//CMakeFiles/progress.marks
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamares/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamares/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamares/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamares/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/libcalamares/CMakeFiles/KF5I18n_QCH.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamares/CMakeFiles/KF5I18n_QCH.dir/rule
.PHONY : src/libcalamares/CMakeFiles/KF5I18n_QCH.dir/rule

# Convenience name for target.
KF5I18n_QCH: src/libcalamares/CMakeFiles/KF5I18n_QCH.dir/rule
.PHONY : KF5I18n_QCH

# fast build rule for target.
KF5I18n_QCH/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamares/CMakeFiles/KF5I18n_QCH.dir/build.make src/libcalamares/CMakeFiles/KF5I18n_QCH.dir/build
.PHONY : KF5I18n_QCH/fast

# Convenience name for target.
src/libcalamares/CMakeFiles/KF5WidgetsAddons_QCH.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamares/CMakeFiles/KF5WidgetsAddons_QCH.dir/rule
.PHONY : src/libcalamares/CMakeFiles/KF5WidgetsAddons_QCH.dir/rule

# Convenience name for target.
KF5WidgetsAddons_QCH: src/libcalamares/CMakeFiles/KF5WidgetsAddons_QCH.dir/rule
.PHONY : KF5WidgetsAddons_QCH

# fast build rule for target.
KF5WidgetsAddons_QCH/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamares/CMakeFiles/KF5WidgetsAddons_QCH.dir/build.make src/libcalamares/CMakeFiles/KF5WidgetsAddons_QCH.dir/build
.PHONY : KF5WidgetsAddons_QCH/fast

# Convenience name for target.
src/libcalamares/CMakeFiles/calamares.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamares/CMakeFiles/calamares.dir/rule
.PHONY : src/libcalamares/CMakeFiles/calamares.dir/rule

# Convenience name for target.
calamares: src/libcalamares/CMakeFiles/calamares.dir/rule
.PHONY : calamares

# fast build rule for target.
calamares/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamares/CMakeFiles/calamares.dir/build.make src/libcalamares/CMakeFiles/calamares.dir/build
.PHONY : calamares/fast

# Convenience name for target.
src/libcalamares/CMakeFiles/libcalamarestest.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamares/CMakeFiles/libcalamarestest.dir/rule
.PHONY : src/libcalamares/CMakeFiles/libcalamarestest.dir/rule

# Convenience name for target.
libcalamarestest: src/libcalamares/CMakeFiles/libcalamarestest.dir/rule
.PHONY : libcalamarestest

# fast build rule for target.
libcalamarestest/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamares/CMakeFiles/libcalamarestest.dir/build.make src/libcalamares/CMakeFiles/libcalamarestest.dir/build
.PHONY : libcalamarestest/fast

# Convenience name for target.
src/libcalamares/CMakeFiles/libcalamaresgeoiptest.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamares/CMakeFiles/libcalamaresgeoiptest.dir/rule
.PHONY : src/libcalamares/CMakeFiles/libcalamaresgeoiptest.dir/rule

# Convenience name for target.
libcalamaresgeoiptest: src/libcalamares/CMakeFiles/libcalamaresgeoiptest.dir/rule
.PHONY : libcalamaresgeoiptest

# fast build rule for target.
libcalamaresgeoiptest/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamares/CMakeFiles/libcalamaresgeoiptest.dir/build.make src/libcalamares/CMakeFiles/libcalamaresgeoiptest.dir/build
.PHONY : libcalamaresgeoiptest/fast

# Convenience name for target.
src/libcalamares/CMakeFiles/libcalamareslocaletest.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamares/CMakeFiles/libcalamareslocaletest.dir/rule
.PHONY : src/libcalamares/CMakeFiles/libcalamareslocaletest.dir/rule

# Convenience name for target.
libcalamareslocaletest: src/libcalamares/CMakeFiles/libcalamareslocaletest.dir/rule
.PHONY : libcalamareslocaletest

# fast build rule for target.
libcalamareslocaletest/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamares/CMakeFiles/libcalamareslocaletest.dir/build.make src/libcalamares/CMakeFiles/libcalamareslocaletest.dir/build
.PHONY : libcalamareslocaletest/fast

# Convenience name for target.
src/libcalamares/CMakeFiles/libcalamaresmodulesystemtest.dir/rule:

=== Calamares/src/calamares-3.2.61/build/src/libcalamaresui/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"CALAMARES\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/src/libcalamaresui//CMakeFiles/progress.marks
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamaresui/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamaresui/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamaresui/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamaresui/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/libcalamaresui/CMakeFiles/calamaresui.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamaresui/CMakeFiles/calamaresui.dir/rule
.PHONY : src/libcalamaresui/CMakeFiles/calamaresui.dir/rule

# Convenience name for target.
calamaresui: src/libcalamaresui/CMakeFiles/calamaresui.dir/rule
.PHONY : calamaresui

# fast build rule for target.
calamaresui/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamaresui/CMakeFiles/calamaresui.dir/build.make src/libcalamaresui/CMakeFiles/calamaresui.dir/build
.PHONY : calamaresui/fast

# Convenience name for target.
src/libcalamaresui/CMakeFiles/test_libcalamaresuipaste.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamaresui/CMakeFiles/test_libcalamaresuipaste.dir/rule
.PHONY : src/libcalamaresui/CMakeFiles/test_libcalamaresuipaste.dir/rule

# Convenience name for target.
test_libcalamaresuipaste: src/libcalamaresui/CMakeFiles/test_libcalamaresuipaste.dir/rule
.PHONY : test_libcalamaresuipaste

# fast build rule for target.
test_libcalamaresuipaste/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamaresui/CMakeFiles/test_libcalamaresuipaste.dir/build.make src/libcalamaresui/CMakeFiles/test_libcalamaresuipaste.dir/build
.PHONY : test_libcalamaresuipaste/fast

# Convenience name for target.
src/libcalamaresui/CMakeFiles/calamaresui_autogen.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamaresui/CMakeFiles/calamaresui_autogen.dir/rule
.PHONY : src/libcalamaresui/CMakeFiles/calamaresui_autogen.dir/rule

# Convenience name for target.
calamaresui_autogen: src/libcalamaresui/CMakeFiles/calamaresui_autogen.dir/rule
.PHONY : calamaresui_autogen

# fast build rule for target.
calamaresui_autogen/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamaresui/CMakeFiles/calamaresui_autogen.dir/build.make src/libcalamaresui/CMakeFiles/calamaresui_autogen.dir/build
.PHONY : calamaresui_autogen/fast

# Convenience name for target.
src/libcalamaresui/CMakeFiles/test_libcalamaresuipaste_autogen.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/libcalamaresui/CMakeFiles/test_libcalamaresuipaste_autogen.dir/rule
.PHONY : src/libcalamaresui/CMakeFiles/test_libcalamaresuipaste_autogen.dir/rule

# Convenience name for target.
test_libcalamaresuipaste_autogen: src/libcalamaresui/CMakeFiles/test_libcalamaresuipaste_autogen.dir/rule
.PHONY : test_libcalamaresuipaste_autogen

# fast build rule for target.
test_libcalamaresuipaste_autogen/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamaresui/CMakeFiles/test_libcalamaresuipaste_autogen.dir/build.make src/libcalamaresui/CMakeFiles/test_libcalamaresuipaste_autogen.dir/build
.PHONY : test_libcalamaresuipaste_autogen/fast

Branding.o: Branding.cpp.o
.PHONY : Branding.o

# target to build an object file
Branding.cpp.o:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamaresui/CMakeFiles/calamaresui.dir/build.make src/libcalamaresui/CMakeFiles/calamaresui.dir/Branding.cpp.o
.PHONY : Branding.cpp.o

Branding.i: Branding.cpp.i
.PHONY : Branding.i

# target to preprocess a source file
Branding.cpp.i:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamaresui/CMakeFiles/calamaresui.dir/build.make src/libcalamaresui/CMakeFiles/calamaresui.dir/Branding.cpp.i
.PHONY : Branding.cpp.i

Branding.s: Branding.cpp.s
.PHONY : Branding.s

# target to generate assembly for a file
Branding.cpp.s:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamaresui/CMakeFiles/calamaresui.dir/build.make src/libcalamaresui/CMakeFiles/calamaresui.dir/Branding.cpp.s
.PHONY : Branding.cpp.s

ViewManager.o: ViewManager.cpp.o
.PHONY : ViewManager.o

# target to build an object file
ViewManager.cpp.o:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/libcalamaresui/CMakeFiles/calamaresui.dir/build.make src/libcalamaresui/CMakeFiles/calamaresui.dir/ViewManager.cpp.o

=== Calamares/src/calamares-3.2.61/build/src/modules/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"CALAMARES\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/src/modules//CMakeFiles/progress.marks
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== Calamares/src/calamares-3.2.61/build/src/modules/contextualprocess/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"CALAMARES\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/src/modules/contextualprocess//CMakeFiles/progress.marks
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/contextualprocess/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/contextualprocess/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/contextualprocess/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/contextualprocess/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess.dir/rule
.PHONY : src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess.dir/rule

# Convenience name for target.
calamares_job_contextualprocess: src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess.dir/rule
.PHONY : calamares_job_contextualprocess

# fast build rule for target.
calamares_job_contextualprocess/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess.dir/build.make src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess.dir/build
.PHONY : calamares_job_contextualprocess/fast

# Convenience name for target.
src/modules/contextualprocess/CMakeFiles/contextualprocesstest.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/contextualprocess/CMakeFiles/contextualprocesstest.dir/rule
.PHONY : src/modules/contextualprocess/CMakeFiles/contextualprocesstest.dir/rule

# Convenience name for target.
contextualprocesstest: src/modules/contextualprocess/CMakeFiles/contextualprocesstest.dir/rule
.PHONY : contextualprocesstest

# fast build rule for target.
contextualprocesstest/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/contextualprocess/CMakeFiles/contextualprocesstest.dir/build.make src/modules/contextualprocess/CMakeFiles/contextualprocesstest.dir/build
.PHONY : contextualprocesstest/fast

# Convenience name for target.
src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess_autogen.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess_autogen.dir/rule
.PHONY : src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess_autogen.dir/rule

# Convenience name for target.
calamares_job_contextualprocess_autogen: src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess_autogen.dir/rule
.PHONY : calamares_job_contextualprocess_autogen

# fast build rule for target.
calamares_job_contextualprocess_autogen/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess_autogen.dir/build.make src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess_autogen.dir/build
.PHONY : calamares_job_contextualprocess_autogen/fast

# Convenience name for target.
src/modules/contextualprocess/CMakeFiles/contextualprocesstest_autogen.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/contextualprocess/CMakeFiles/contextualprocesstest_autogen.dir/rule
.PHONY : src/modules/contextualprocess/CMakeFiles/contextualprocesstest_autogen.dir/rule

# Convenience name for target.
contextualprocesstest_autogen: src/modules/contextualprocess/CMakeFiles/contextualprocesstest_autogen.dir/rule
.PHONY : contextualprocesstest_autogen

# fast build rule for target.
contextualprocesstest_autogen/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/contextualprocess/CMakeFiles/contextualprocesstest_autogen.dir/build.make src/modules/contextualprocess/CMakeFiles/contextualprocesstest_autogen.dir/build
.PHONY : contextualprocesstest_autogen/fast

ContextualProcessJob.o: ContextualProcessJob.cpp.o
.PHONY : ContextualProcessJob.o

# target to build an object file
ContextualProcessJob.cpp.o:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess.dir/build.make src/modules/contextualprocess/CMakeFiles/calamares_job_contextualprocess.dir/ContextualProcessJob.cpp.o
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/contextualprocess/CMakeFiles/contextualprocesstest.dir/build.make src/modules/contextualprocess/CMakeFiles/contextualprocesstest.dir/ContextualProcessJob.cpp.o
.PHONY : ContextualProcessJob.cpp.o

=== Calamares/src/calamares-3.2.61/build/src/modules/finished/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"CALAMARES\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/src/modules/finished//CMakeFiles/progress.marks
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/finished/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/finished/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/finished/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/finished/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/rule
.PHONY : src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/rule

# Convenience name for target.
calamares_viewmodule_finished: src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/rule
.PHONY : calamares_viewmodule_finished

# fast build rule for target.
calamares_viewmodule_finished/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/build.make src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/build
.PHONY : calamares_viewmodule_finished/fast

# Convenience name for target.
src/modules/finished/CMakeFiles/calamares_viewmodule_finished_autogen.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/finished/CMakeFiles/calamares_viewmodule_finished_autogen.dir/rule
.PHONY : src/modules/finished/CMakeFiles/calamares_viewmodule_finished_autogen.dir/rule

# Convenience name for target.
calamares_viewmodule_finished_autogen: src/modules/finished/CMakeFiles/calamares_viewmodule_finished_autogen.dir/rule
.PHONY : calamares_viewmodule_finished_autogen

# fast build rule for target.
calamares_viewmodule_finished_autogen/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/finished/CMakeFiles/calamares_viewmodule_finished_autogen.dir/build.make src/modules/finished/CMakeFiles/calamares_viewmodule_finished_autogen.dir/build
.PHONY : calamares_viewmodule_finished_autogen/fast

Config.o: Config.cpp.o
.PHONY : Config.o

# target to build an object file
Config.cpp.o:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/build.make src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/Config.cpp.o
.PHONY : Config.cpp.o

Config.i: Config.cpp.i
.PHONY : Config.i

# target to preprocess a source file
Config.cpp.i:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/build.make src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/Config.cpp.i
.PHONY : Config.cpp.i

Config.s: Config.cpp.s
.PHONY : Config.s

# target to generate assembly for a file
Config.cpp.s:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/build.make src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/Config.cpp.s
.PHONY : Config.cpp.s

FinishedPage.o: FinishedPage.cpp.o
.PHONY : FinishedPage.o

# target to build an object file
FinishedPage.cpp.o:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/build.make src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/FinishedPage.cpp.o
.PHONY : FinishedPage.cpp.o

FinishedPage.i: FinishedPage.cpp.i
.PHONY : FinishedPage.i

# target to preprocess a source file
FinishedPage.cpp.i:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/build.make src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/FinishedPage.cpp.i
.PHONY : FinishedPage.cpp.i

FinishedPage.s: FinishedPage.cpp.s
.PHONY : FinishedPage.s

# target to generate assembly for a file
FinishedPage.cpp.s:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/build.make src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/FinishedPage.cpp.s
.PHONY : FinishedPage.cpp.s

FinishedViewStep.o: FinishedViewStep.cpp.o
.PHONY : FinishedViewStep.o

# target to build an object file
FinishedViewStep.cpp.o:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/build.make src/modules/finished/CMakeFiles/calamares_viewmodule_finished.dir/FinishedViewStep.cpp.o
.PHONY : FinishedViewStep.cpp.o

=== Calamares/src/calamares-3.2.61/build/src/modules/fsresizer/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"CALAMARES\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/src/modules/fsresizer//CMakeFiles/progress.marks
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/fsresizer/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/fsresizer/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/fsresizer/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/fsresizer/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/modules/fsresizer/CMakeFiles/KF5Config_QCH.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/fsresizer/CMakeFiles/KF5Config_QCH.dir/rule
.PHONY : src/modules/fsresizer/CMakeFiles/KF5Config_QCH.dir/rule

# Convenience name for target.
KF5Config_QCH: src/modules/fsresizer/CMakeFiles/KF5Config_QCH.dir/rule
.PHONY : KF5Config_QCH

# fast build rule for target.
KF5Config_QCH/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/fsresizer/CMakeFiles/KF5Config_QCH.dir/build.make src/modules/fsresizer/CMakeFiles/KF5Config_QCH.dir/build
.PHONY : KF5Config_QCH/fast

# Convenience name for target.
src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer.dir/rule
.PHONY : src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer.dir/rule

# Convenience name for target.
calamares_job_fsresizer: src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer.dir/rule
.PHONY : calamares_job_fsresizer

# fast build rule for target.
calamares_job_fsresizer/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer.dir/build.make src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer.dir/build
.PHONY : calamares_job_fsresizer/fast

# Convenience name for target.
src/modules/fsresizer/CMakeFiles/fsresizertest.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/fsresizer/CMakeFiles/fsresizertest.dir/rule
.PHONY : src/modules/fsresizer/CMakeFiles/fsresizertest.dir/rule

# Convenience name for target.
fsresizertest: src/modules/fsresizer/CMakeFiles/fsresizertest.dir/rule
.PHONY : fsresizertest

# fast build rule for target.
fsresizertest/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/fsresizer/CMakeFiles/fsresizertest.dir/build.make src/modules/fsresizer/CMakeFiles/fsresizertest.dir/build
.PHONY : fsresizertest/fast

# Convenience name for target.
src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer_autogen.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer_autogen.dir/rule
.PHONY : src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer_autogen.dir/rule

# Convenience name for target.
calamares_job_fsresizer_autogen: src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer_autogen.dir/rule
.PHONY : calamares_job_fsresizer_autogen

# fast build rule for target.
calamares_job_fsresizer_autogen/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer_autogen.dir/build.make src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer_autogen.dir/build
.PHONY : calamares_job_fsresizer_autogen/fast

# Convenience name for target.
src/modules/fsresizer/CMakeFiles/fsresizertest_autogen.dir/rule:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/modules/fsresizer/CMakeFiles/fsresizertest_autogen.dir/rule
.PHONY : src/modules/fsresizer/CMakeFiles/fsresizertest_autogen.dir/rule

# Convenience name for target.
fsresizertest_autogen: src/modules/fsresizer/CMakeFiles/fsresizertest_autogen.dir/rule
.PHONY : fsresizertest_autogen

# fast build rule for target.
fsresizertest_autogen/fast:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/fsresizer/CMakeFiles/fsresizertest_autogen.dir/build.make src/modules/fsresizer/CMakeFiles/fsresizertest_autogen.dir/build
.PHONY : fsresizertest_autogen/fast

ResizeFSJob.o: ResizeFSJob.cpp.o
.PHONY : ResizeFSJob.o

# target to build an object file
ResizeFSJob.cpp.o:
	cd /home/eznix/Documents/Ezarchers/ExtraPkgs/Calamares/src/calamares-3.2.61/build && $(MAKE) $(MAKESILENT) -f src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer.dir/build.make src/modules/fsresizer/CMakeFiles/calamares_job_fsresizer.dir/ResizeFSJob.cpp.o
.PHONY : ResizeFSJob.cpp.o

ResizeFSJob.i: ResizeFSJob.cpp.i
.PHONY : ResizeFSJob.i

# target to preprocess a source file
ResizeFSJob.cpp.i:

=== PkgBuilds/Calamares/PKGBUILD ===
# Ezarcher Calamares Installer pkgbuild

pkgname=calamares
pkgver=3.2.61
_pkgver=3.2.61
pkgrel=1
pkgdesc='Distribution-independent installer framework'
arch=('x86_64')
license=(GPL)
url="https://github.com/calamares/calamares"
license=('LGPL')
depends=('cmake' 'kconfig' 'kcoreaddons' 'kiconthemes' 'ki18n' 'kio' 'solid' 'yaml-cpp' 'kpmcore' 'qt5-webengine' 'kwidgetsaddons'
         'icu' 'qt5-location' 'boost-libs' 'qt5-svg' 'qt5ct' 'polkit-qt5' 'gtk-update-icon-cache' 'plasma-framework' 'parted'
         'qt5-xmlpatterns' 'squashfs-tools' 'libpwquality' 'dmidecode' 'kparts' 'kdbusaddons' 'kservice' 'udisks2' 'upower')
makedepends=('extra-cmake-modules' 'qt5-tools' 'qt5-translations' 'git' 'boost')

source=("$pkgname-$pkgver.tar.gz::https://github.com/calamares/calamares/releases/download/v$pkgver/calamares-$pkgver.tar.gz")
sha256sums=('7591b9b60738bdba7b9de2b8da5462ab21006db06a006f0dd21ac5b832711dd2')

prepare() {
	cd ${srcdir}/calamares-${pkgver}
	sed -i -e 's/"Install configuration files" OFF/"Install configuration files" ON/' CMakeLists.txt

	# change version
	sed -i -e "s|$pkgver|$_pkgver|g" CMakeLists.txt
	_ver="$pkgver"
	printf 'Version: %s-%s' "${_ver}" "${pkgrel}"
	sed -i -e "s|\${CALAMARES_VERSION_MAJOR}.\${CALAMARES_VERSION_MINOR}.\${CALAMARES_VERSION_PATCH}|${_ver}-${pkgrel}|g" CMakeLists.txt
	sed -i -e "s|CALAMARES_VERSION_RC 1|CALAMARES_VERSION_RC 0|g" CMakeLists.txt
}

build() {
	cd ${srcdir}/calamares-${pkgver}

	mkdir -p build
	cd build
        cmake .. \
              -DCMAKE_BUILD_TYPE=Release \
              -DCMAKE_INSTALL_PREFIX=/usr \
              -DCMAKE_INSTALL_LIBDIR=/usr/lib \
              -DWITH_PYTHONQT:BOOL=ON \
              -DWITH_KF5DBus=OFF \
              -DBoost_NO_BOOST_CMAKE=ON \
              -DSKIP_MODULES="tracking webview interactiveterminal initramfs \
                              initramfscfg dracut dracutlukscfg finishedq summaryq \
                              dummyprocess dummypython dummycpp usersq oemid \
                              dummypythonqt services-openrc keyboardq zfs \
                              localeq plasmalnf welcomeq notesqml packagechooserq"
        make
}

package() {
	cd ${srcdir}/calamares-${pkgver}/build
	make DESTDIR="$pkgdir" install
	install -Dm644 "../calamares.desktop" "$pkgdir/usr/share/applications/calamares.desktop"
}

=== PkgBuilds/Ckbcomp/PKGBUILD ===
# Maintainer: Nissar Chababy <funilrys at outlook dot com>
# Ex-Maintainer: 	Jeroen Bollen <jbinero at gmail dot comau>

pkgname=ckbcomp
pkgver=1.222
pkgrel=1
pkgdesc="Compile a XKB keyboard description to a keymap suitable for loadkeys or kbdcontrol"
arch=(any)
url="http://anonscm.debian.org/cgit/d-i/console-setup.git/"
license=('GPL2')
depends=('perl')
source=("http://ftp.de.debian.org/debian/pool/main/c/console-setup/console-setup_${pkgver}.tar.xz")
sha256sums=('60f759afed744b0242f75c90e25a168a7c360d4f2c4278b9a9badc850f2c5e02')

package() {
    if [[ -d "${srcdir}/console-setup" ]]
    then
        cd console-setup
    elif [[ -d "${srcdir}/console-setup-${pkgver}" ]]
    then 
        cd console-setup-${pkgver} 
    else
	echo "Source directory not found.".
	exit 1
    fi


    if [[ ${?} != 0 ]]
    then
        cd console-setup-${pkgver}
    fi

    install -d ${pkgdir}/usr/bin/
    install -m755 Keyboard/ckbcomp ${pkgdir}/usr/bin/
}

=== PkgBuilds/Openswap/PKGBUILD ===
# Maintainer: Jenya Sovetkin <e.sovetkin@gmail.com>
# Contributors: https://aur.archlinux.org/account/f4bio
pkgname=mkinitcpio-openswap
pkgver=0.1.0
pkgrel=3
pkgdesc="mkinitcpio hook to open swap at boot time"
arch=(any)
license=('unknown')
url="https://aur.archlinux.org/packages/mkinitcpio-openswap/"
depends=(mkinitcpio)
backup=('etc/openswap.conf')
install="usage.install"
source=('openswap.hook'
        'openswap.install'
        'openswap.conf')
sha256sums=('84ef428386b7f4353af036ccfbd4c60901a76e2d0c7a38dd3be2000219ea9d23'
            '94dd98a953bab2244215a2b20767cdc9500fc438bed9ec27cae72a73766c6b86'
            '3308f2679bb7c962d98adf2684d25390025d025e3d30bc1e773e3522311ad325')
                          

package() {  
  install -Dm 644 openswap.hook \
     "${pkgdir}/usr/lib/initcpio/hooks/openswap"
  install -Dm 644 openswap.install \
     "${pkgdir}/usr/lib/initcpio/install/openswap"
  install -Dm 644 openswap.conf \
     "${pkgdir}/etc/openswap.conf"
}

=== PkgBuilds/Trizen/PKGBUILD ===
# Maintainer: Trizen <echo dHJpemVuQHByb3Rvbm1haWwuY29tCg== | base64 -d>

pkgname=trizen
pkgver=1.68
pkgrel=1
epoch=1
pkgdesc="Trizen AUR Package Manager: lightweight pacman wrapper and AUR helper."
arch=('any')
url="https://github.com/trizen/${pkgname}"
license=('GPL3')

depends=(
         'git'
         'pacutils'
         'perl>=5.20.0'
         'perl-libwww'
         'perl-term-ui'
         'pacman'
         'perl-json'
         'perl-data-dump'
         'perl-lwp-protocol-https'
         'perl-term-readline-gnu'
        )

optdepends=(
            'highlight: for syntax highlighting'
            'perl-json-xs: faster JSON deserialization'
            #'perl-term-readline-gnu: better STDIN support'
           )

source=("${pkgname}-${pkgver}.tar.gz::https://github.com/trizen/${pkgname}/archive/${pkgver}.tar.gz")
sha256sums=('cfaac3ecc92483c5bba54920b0731745676d12652ad5de288914f4fb111f6b3a')

package() {
  cd "$pkgname-$pkgver"
  install -m 755 -D $pkgname "$pkgdir/usr/bin/$pkgname"
  install -m 644 -D "trizen.1" "$pkgdir/usr/share/man/man1/trizen.1"
  install -m 644 -D "zsh.completion" "$pkgdir/usr/share/zsh/site-functions/_trizen"
  install -m 644 -D "bash.completion" "$pkgdir/usr/share/bash-completion/completions/trizen"
  install -m 644 -D "fish.completion" "$pkgdir/usr/share/fish/vendor_completions.d/trizen.fish"
}

=== archlinux/PKGBUILD ===
# Maintainer: Trizen <echo dHJpemVuQHByb3Rvbm1haWwuY29tCg== | base64 -d>

_pkgname=trizen
pkgname=trizen-git
pkgver=1.64.3.gfef9dec
pkgrel=1
pkgdesc="Trizen AUR Package Manager: lightweight pacman wrapper and AUR helper (-git version)."
arch=('any')
url="https://github.com/trizen/${_pkgname}"
license=('GPL3')

provides=('trizen')
conflicts=('trizen')

depends=(
         'git'
         'pacutils'
         'perl>=5.20.0'
         'perl-libwww'
         'perl-term-ui'
         'pacman'
         'perl-json'
         'perl-data-dump'
         'perl-lwp-protocol-https'
         'perl-term-readline-gnu'
        )

optdepends=(
            'highlight: for syntax highlighting'
            'perl-json-xs: faster JSON deserialization'
            #'perl-term-readline-gnu: better STDIN support'
           )

source=("git+https://github.com/trizen/${_pkgname}.git")
sha256sums=('SKIP')

pkgver() {
    cd "$_pkgname"
    git describe --always | sed -e 's|-|.|g'
}

package() {
  cd "$_pkgname"
  install -m 755 -D "$_pkgname" "$pkgdir/usr/bin/${_pkgname}"
  install -m 644 -D "trizen.1" "$pkgdir/usr/share/man/man1/trizen.1"
  install -m 644 -D "zsh.completion" "$pkgdir/usr/share/zsh/site-functions/_trizen"
  install -m 644 -D "bash.completion" "$pkgdir/usr/share/bash-completion/completions/trizen"
  install -m 644 -D "fish.completion" "$pkgdir/usr/share/fish/vendor_completions.d/trizen.fish"
}
